Package: groovy.lang

## [Java] Class Tuple10<T1, T2, T3, T4, T5, T6, T7, T8, T9, T10>

- groovy.lang.Tuple10

-     public final class Tuple10<T1, T2, T3, T4, T5, T6, T7, T8, T9, T10>
      extends Tuple

  Represents a list of 10 typed Objects.

  Since:
    3.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Tuple10(T1 v1, T2 v2, T3 v3, T4 v4, T5 v5, T6 v6, T7 v7, T8 v8, T9 v9, T10 v10)` Creates a tuple containing the supplied elements.
    `Tuple10(Tuple10<T1, T2, T3, T4, T5, T6, T7, T8, T9, T10> tuple)` Creates a tuple from the supplied tuple.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Tuple10<T1, T2, T3, T4, T5, T6, T7, T8, T9, T10>` | `clone()` {@inheritDoc}
    `` | `public T1` | `getV1()` Returns the first element.
    `` | `public T10` | `getV10()` Returns the tenth element.
    `` | `public T2` | `getV2()` Returns the second element.
    `` | `public T3` | `getV3()` Returns the third element.
    `` | `public T4` | `getV4()` Returns the fourth element.
    `` | `public T5` | `getV5()` Returns the fifth element.
    `` | `public T6` | `getV6()` Returns the sixth element.
    `` | `public T7` | `getV7()` Returns the seventh element.
    `` | `public T8` | `getV8()` Returns the eighth element.
    `` | `public T9` | `getV9()` Returns the ninth element.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Tuple` | `clone, compareTo, equals, get, hashCode, size, subList, subTuple, toArray, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

- - ### Constructor Detail

    - #### public Tuple10(T1 v1, T2 v2, T3 v3, T4 v4, T5 v5, T6 v6, T7 v7, T8 v8, T9 v9, T10 v10)

      Creates a tuple containing the supplied elements.

      Parameters:
        `v1` - the first element
        `v2` - the second element
        `v3` - the third element
        `v4` - the fourth element
        `v5` - the fifth element
        `v6` - the sixth element
        `v7` - the seventh element
        `v8` - the eighth element
        `v9` - the ninth element
        `v10` - the tenth element

    - #### public Tuple10(Tuple10<T1, T2, T3, T4, T5, T6, T7, T8, T9, T10> tuple)

      Creates a tuple from the supplied tuple.

      Parameters:
        `tuple` - the source tuple

  - ### Method Detail

    - #### public Tuple10<T1, T2, T3, T4, T5, T6, T7, T8, T9, T10> clone()

      {@inheritDoc}

    - #### public T1 getV1()

      Returns the first element.

      Returns:
        the first element

    - #### public T10 getV10()

      Returns the tenth element.

      Returns:
        the tenth element

    - #### public T2 getV2()

      Returns the second element.

      Returns:
        the second element

    - #### public T3 getV3()

      Returns the third element.

      Returns:
        the third element

    - #### public T4 getV4()

      Returns the fourth element.

      Returns:
        the fourth element

    - #### public T5 getV5()

      Returns the fifth element.

      Returns:
        the fifth element

    - #### public T6 getV6()

      Returns the sixth element.

      Returns:
        the sixth element

    - #### public T7 getV7()

      Returns the seventh element.

      Returns:
        the seventh element

    - #### public T8 getV8()

      Returns the eighth element.

      Returns:
        the eighth element

    - #### public T9 getV9()

      Returns the ninth element.

      Returns:
        the ninth element